if (FrameCounter == 1)
{
   u_char   yposi[3] = {135,135,136};
   u_char   actio[3] = {10,10,11};
   u_short  xposi[6] = {35,79,123, 197,241,285};

   if ((frgnd.Plr1.Lifepnt == 0) || (frgnd.Plr2.Lifepnt == 0))
   {
      for (i = 0; i < 3; i++)
      {
         Chars[i]->Set_Location (50 + i * 110, yposi[i]);
         Chars[i]->StartAction (actio[i], 0);
         Chars[i]->SetDepth (4);
         TimeToShoot[i] = -1;
      }
      TimeToShoot[3] = TimeToShoot[4] = TimeToShoot[5] = -1;
      TimeToShoot[0] = rand () % 3;
      while ((TimeToShoot[1] = rand () % 3) == TimeToShoot[0]);
      TimeToShoot[2] = rand () % 3;
      while ((TimeToShoot[2] == TimeToShoot[0]) ||
             (TimeToShoot[2] == TimeToShoot[1]))
         TimeToShoot[2] = rand () % 3;
      TimeToShoot[0] = TimeToShoot[0] * 30 + 100;
      TimeToShoot[1] = TimeToShoot[1] * 30 + 100;
      TimeToShoot[2] = TimeToShoot[2] * 30 + 100;
   }
   else
   {
      for (i = 0; i < 6; i++)
      {
         Chars[i]->Set_Location (xposi[i], yposi[i / 3]);
         Chars[i]->StartAction (actio[i / 3], 0);
         Chars[i]->SetDepth (4);
         TimeToShoot[i] = -1;
      }
      for (i = 0; i < 6; i++)
      {
         int wer = rand () % 6;
         while (TimeToShoot[wer] != -1)
            if (++wer == 6)
               wer = 0;
         TimeToShoot[wer] = i;
      }
      for (i = 0; i < 6; i++)
         TimeToShoot[i] = TimeToShoot[i] * 30 + 100;
   }
}
else if (YouLose == 0)
{
   for (i = 0; i < 6; i++)
      if (TimeToShoot[i] == FrameCounter)
         Chars[i]->StartAction ((rand () % 3) * 2 + 3, 0);
}

if ((YouLose > 0) && (YouLose < 260))   // Do we need to display the words
{                                       // "YOU LOSE" ?
   if (++YouLose == 80)
   {
      Chars[6]->Set_Location (160, 140);
      Chars[6]->StartAction (0, 0);
      Chars[6]->SetDepth (14);
   }
}
else if (YouLose == 260)                // Time to get rid of the words
{                                       // "YOU LOSE" and start again ?
   FrameCounter = 0;
   YouLose = 0;
   for (i = 0; i < 6; i++)
      Chars[i]->Relive ();
}

if (FrameCounter == 450)                // If all enemies are killed, end the
{                                       //  level.
   int groc = 0;
   for (i = 0; i < 6; i++)
      if (Chars[i]->Dead ())
         groc++;
   if (groc == 6)
      EndRound = 1;
}
